//----------------------------------------------------------------------//
// NyanFi																//
//  ^u̐ݒ															//
//----------------------------------------------------------------------//
#include <vcl.h>
#pragma hdrstop
#include "UserFunc.h"
#include "UserMdl.h"
#include "Global.h"
#include "TabDlg.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TTabSetDlg *TabSetDlg = NULL;

//---------------------------------------------------------------------------
__fastcall TTabSetDlg::TTabSetDlg(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TTabSetDlg::FormCreate(TObject *Sender)
{
	TabIndex = 0;
	CurPath1 = CurPath2 = EmptyStr;
}
//---------------------------------------------------------------------------
void __fastcall TTabSetDlg::FormShow(TObject *Sender)
{
	if (TabIndex<TabList->Count) {
		TStringDynArray itm_buf = get_csv_array(TabList->Strings[TabIndex], TABLIST_CSVITMCNT, true);
		CaptionEdit->Text  = itm_buf[2];
		IconEdit->Text	   = itm_buf[3];
		HomeDir1Edit->Text = itm_buf[4];
		HomeDir2Edit->Text = itm_buf[5];

		switch (itm_buf[6].ToIntDef(0)) {
		case 1:
			Work1RadioBtn->Checked = true;
			WorkListEdit->Text = EmptyStr;
			break;
		case 2:
			Work2RadioBtn->Checked = true;
			WorkListEdit->Text = itm_buf[7];
			break;
		default:
			Work0RadioBtn->Checked = true;
			WorkListEdit->Text = EmptyStr;
		}
	}
}

//---------------------------------------------------------------------------
//ACRQ
//---------------------------------------------------------------------------
void __fastcall TTabSetDlg::RefIconBtnClick(TObject *Sender)
{
	UserModule->PrepareOpenDlg(_T("^ũACR"), F_FILTER_ICO, NULL, IconFilePath);
	if (UserModule->OpenDlgToEdit(IconEdit, true)) IconFilePath = ExtractFilePath(rel_to_absdir(IconEdit->Text));
}
//---------------------------------------------------------------------------
void __fastcall TTabSetDlg::IconEditChange(TObject *Sender)
{
	usr_SH->draw_SmallIcon(rel_to_absdir(IconEdit->Text), IcoImage, scl_BtnFace);
}
//---------------------------------------------------------------------------
//z[Q
//---------------------------------------------------------------------------
void __fastcall TTabSetDlg::RefHomeBtnClick(TObject *Sender)
{
	TEdit *ep = (TEdit*)((((TComponent*)Sender)->Tag==1)? HomeDir2Edit : HomeDir1Edit);
	UnicodeString dnam = ep->Text;
	if (UserModule->SelectDirEx(_T("^ũz["), dnam)) ep->Text = to_path_name(dnam);
}
//---------------------------------------------------------------------------
//[NXgQ
//---------------------------------------------------------------------------
void __fastcall TTabSetDlg::RefWorkBtnClick(TObject *Sender)
{
	UserModule->PrepareOpenDlg(_T("[NXg̎w"), F_FILTER_NWL, _T("*.nwl"), WorkListPath);
	UserModule->OpenDlgToEdit(WorkListEdit, true);
}

//---------------------------------------------------------------------------
//݂̃fBNgݒ
//---------------------------------------------------------------------------
void __fastcall TTabSetDlg::SetCurDirBtnClick(TObject *Sender)
{
	HomeDir1Edit->Text = CurPath1;
	HomeDir2Edit->Text = CurPath2;
}

//---------------------------------------------------------------------------
void __fastcall TTabSetDlg::WorkRadioBtnClick(TObject *Sender)
{
	WorkListEdit->Color = Work2RadioBtn->Checked? scl_Window : col_Invalid;
}

//---------------------------------------------------------------------------
//m
//---------------------------------------------------------------------------
void __fastcall TTabSetDlg::OkButtonClick(TObject *Sender)
{
	if (TabIndex<TabList->Count) {
		TStringDynArray itm_buf = get_csv_array(TabList->Strings[TabIndex], TABLIST_CSVITMCNT, true);
		itm_buf[2] = CaptionEdit->Text;
		itm_buf[3] = IconEdit->Text;
		itm_buf[4] = HomeDir1Edit->Text;
		itm_buf[5] = HomeDir2Edit->Text;
		itm_buf[6] = Work1RadioBtn->Checked? "1" : Work2RadioBtn->Checked? "2" : "0";
		itm_buf[7] = Work2RadioBtn->Checked? WorkListEdit->Text : EmptyStr;
		TabList->Strings[TabIndex] = make_csv_rec_str(itm_buf);
	}
}

//---------------------------------------------------------------------------
void __fastcall TTabSetDlg::FormKeyDown(TObject *Sender, WORD &Key, TShiftState Shift)
{
	if (equal_F1(get_KeyStr(Key, Shift))) {
		HtmlHelpTopic(_T(HELPTOPIC_FL) _T("#TabDlg"));
		Key = 0;
	}
}
//---------------------------------------------------------------------------

